import { html, nothing } from "lit";
import { Directive, directive } from "lit/directive.js";
class NoItemsGuardDirective extends Directive {
    render({ firstSearchExecuted, isLoading, hasResults }, content) {
        if (!firstSearchExecuted || isLoading || hasResults) return nothing;
        return html`${content()}`;
    }
}
const noItemsGuard = directive(NoItemsGuardDirective);
export { noItemsGuard };
